<!DOCTYPE html>
<html>

    <meta http-equiv="Pragma" content="no-cache">
    <meta http-equiv="Expires" content="0">
    <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" >

    <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='styles.css') }}">
        <script type="text/javascript" src="{{ url_for('static', filename='functions.js') }}"></script>

    <H1 align="center">XChange - Latest Transactions</H1>

    <body>

        <table class="mainview" width="99%">
            <tr>
                <td>
                <button onclick="javascript:window.location.href='xchange/submit_transaction'">New Transaction</button>
                </td>
            </tr>
            <tr>
                <td>
                <div id="transactions-table"></div>
                <link href="https://unpkg.com/tabulator-tables@4.4.3/dist/css/tabulator.min.css" rel="stylesheet">
                <script type="text/javascript" src="https://unpkg.com/tabulator-tables@4.4.3/dist/js/tabulator.min.js"></script>
                </td>
            </tr>
        </table>

        <script>

            var request = new XMLHttpRequest();
            var url = "api/xchange";

            request.onreadystatechange = function() {
                if (this.readyState == 4 && this.status == 200) {
                    var response = JSON.parse(this.responseText);
                    for (i=0; i<response.transactions.length; i++) {
                        if (response.transactions[i]) {
                            response.transactions[i].sell_amount_form = numFormat(response.transactions[i].sell_amount)
                            response.transactions[i].buy_amount_form = numFormat(response.transactions[i].buy_amount)
                         }
                    }
                    displayTransactions(response.transactions);
                }
            };
            request.open("GET", url, true);
            request.send();

            function displayTransactions(transactions) {
                var table = new Tabulator("#transactions-table", {
                    data: transactions,
                    layout:"fitColumns", //fit columns to width of table (optional)
                    columns:[   //Define Table Columns
                        {title:"Transaction ID", field:"transaction_id", width:150},
                        {title:"Sell Currency", field:"sell_currency", width:150},
                        {title:"Sell Amount", field:"sell_amount_form"},
                        {title:"Buy Currency", field:"buy_currency"},
                        {title:"Buy Amount", field:"buy_amount_form", align:"center"},
                        {title:"Rate", field:"rate", align:"center"},
                        {title:"Date Booked", field:"date_booked", align:"center"},
                        {title:"Magnitude", field:"sell_amount", align:"left", formatter:"progress"},
                    ],
                });
            }

        </script>
    </body>
</html>


